Автор Тема: Brother MFC-L2700DNR - не работает сканер и двухстороння печать  (Прочитано 5036 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн ЦарьПушка

Драйвер из коробки нигде не работает.
Всегда качаю проприетарный с сайта - http://support.brother.com/g/b/producttop.aspx?c=ru&lang=ru&prod=mfcl2700dnr_eu

Делаю всё по инструкцмм
Step1. Download the tool.(linux-brprinter-installer-*.*.*-*.gz)

The tool will be downloaded into the default "Download" directory.
(The directory location varies depending on your Linux distribution.)
e.g. /home/(LoginName)/Download

Step2. Open a terminal window.

Step3. Go to the directory you downloaded the file to in the last step. By using the cd command.

e.g. cd Downloads

Step4. Enter this command to extract the downloaded file:

Command: gunzip linux-brprinter-installer-*.*.*-*.gz

e.g. gunzip linux-brprinter-installer-2.1.1-1.gz

Step5. Get superuser authorization with the "su" command or "sudo su" command.

Step6. Run the tool:

Command: bash linux-brprinter-installer-*.*.*-* Brother machine name
e.g. bash linux-brprinter-installer-2.1.1-1 MFC-J880DW

Step7. The driver installation will start. Follow the installation screen directions.
 

 When you see the message "Will you specify the DeviceURI ?",

 For USB Users: Choose N(No)
 For Network Users: Choose Y(Yes) and DeviceURI number.

The install process may take some time. Please wait until it is complete.
в Убунту проблем не было.
А в Дебиане устанавливается не всё, ошибки пропускаются.
Ай пи для работы сканера даже не просит.

В результате Xsane  не находит сканер, а LO Writer при направлении на печать в режиме DuplexNoTumble в настройках принтера вылетает ошибка принтер не подключен

Cообщение объединено [time]13 Ноября 2017, 14:53:39[/time]
Даю вывод из под Убунту
# bash linux-brprinter-installer-2.1.1-1 MFC-L2700DNR
You are going to install following packages.
   mfcl2700dlpr-3.2.0-1.i386.deb
   mfcl2700dcupswrapper-3.2.0-1.i386.deb
   brscan4-0.4.4-3.i386.deb
   brscan-skey-0.2.4-1.i386.deb
OK? [y/N] ->y

dpkg -x mfcl2700dlpr-3.2.0-1.i386.deb /
dpkg -x mfcl2700dcupswrapper-3.2.0-1.i386.deb /
(Чтение базы данных … на данный момент установлено 159026 файлов и каталогов.)
Удаляется mfcl2700dcupswrapper (3.2.0-1) …
Вычищаются файлы настройки пакета mfcl2700dcupswrapper (3.2.0-1) …
dpkg-deb: сборка пакета «mfcl2700dlpr» в файл «mfcl2700dlpr-3.2.0-1a.i386.deb».
dpkg -b ./brother_driver_packdir mfcl2700dlpr-3.2.0-1a.i386.deb
dpkg-deb: сборка пакета «mfcl2700dcupswrapper» в файл «mfcl2700dcupswrapper-3.2.0-1a.i386.deb».
dpkg -b ./brother_driver_packdir mfcl2700dcupswrapper-3.2.0-1a.i386.deb
dpkg -i --force-all mfcl2700dlpr-3.2.0-1a.i386.deb
(Чтение базы данных … на данный момент установлено 159022 файла и каталога.)
Подготовка к распаковке mfcl2700dlpr-3.2.0-1a.i386.deb …
Распаковывается mfcl2700dlpr (3.2.0-1) на замену (3.2.0-1) …
Настраивается пакет mfcl2700dlpr (3.2.0-1) …
dpkg -i --force-all mfcl2700dcupswrapper-3.2.0-1a.i386.deb
Выбор ранее не выбранного пакета mfcl2700dcupswrapper.
(Чтение базы данных … на данный момент установлено 159022 файла и каталога.)
Подготовка к распаковке mfcl2700dcupswrapper-3.2.0-1a.i386.deb …
Распаковывается mfcl2700dcupswrapper (3.2.0-1) …
Настраивается пакет mfcl2700dcupswrapper (3.2.0-1) …
lpadmin -p MFCL2700D -E -v dnssd://Brother%20MFC-L2700DN%20series._ipp._tcp.local/?uuid=e3248000-80ce-11db-8000-30055c9111fc -P /usr/share/ppd/brother/brother-MFCL2700D-cups-en.ppd
#
Will you specify the Device URI? [Y/n] ->y


0: beh
1: ipp
2: lpd
3: http
4: https
5: serial:/dev/ttyS0?baud=115200
6: ipps
7: socket
8: ipp14
9: dnssd://Brother%20MFC-L2700DN%20series._ipp._tcp.local/?uuid=e3248000-80ce-11db-8000-30055c9111fc
10: lpd://BRN30055C9111FC/BINARY_P1
11 (I): Specify IP address.
12 (A): Auto. (dnssd://Brother%20MFC-L2700DN%20series._ipp._tcp.local/?uuid=e3248000-80ce-11db-8000-30055c9111fc)

select the number of destination Device URI. ->A

lpadmin -p MFCL2700D -v dnssd://Brother%20MFC-L2700DN%20series._ipp._tcp.local/?uuid=e3248000-80ce-11db-8000-30055c9111fc -E
Test Print? [y/N] ->n

You are going to install following packages.
   brscan4-0.4.4-3.i386.deb

=========================================
Brother License Agreement

Brother retains any and all copyrights to the Software. In no case this Agreement shall be construed to assign or otherwise transfer from Brother to User any copyrights or other intellectual property rights to whole or any part of the Software.

Brother grants User a non-exclusive license: to reproduce and/or distribute (via Internet or in any other manner) the Software. Further, Brother grants User a non-exclusive license to modify, alter, translate or otherwise prepare derivative works of the Software and to reproduce and distribute (via Internet or in any other manner) such modification, alteration, translation or other derivative works for any purpose.

The license of the Software from Brother hereunder is granted "AS IS." BROTHER HEREBY DISCLAIMS ANY WARRANTIES WITH RESPECT TO THE SOFTWARE, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO WARRANTY FOR THE QUALITY, MERCHANTABILITY, FITNESS FOR PARTICULAR PURPOSE OR NON-INFRINGEMENT.
Brother shall have no liability in contract, tort (including negligence or breach of statutory duty) or otherwise for any interruption of use, loss of data, or for any indirect, incidental, punitive or consequential loss or damage, or for any loss of profit, revenue, data, goodwill or anticipated savings that arises under, out of, or in contemplation of this Agreement or otherwise arises due to any error, inaccuracy or defect in the Software even if Brother has been advised of the possibility of such loss or damage.
Further, Brother shall have no liability to disclose and/or distribute the source cord of the Software to User under any circumstances. In no case shall the above license by Brother to modify, alter, translate or otherwise prepare derivative works of the Software be construed as Brother's implied agreement or undertakings to disclose and/or distribute the source cord of the Software.
=========================================
Do you agree? [Y/n] ->y

wget -T 10 -nd --no-cache http://www.brother.com/pub/bsc/linux/packages/brscan4-0.4.4-3.i386.deb
--2017-11-13 14:50:59--  http://www.brother.com/pub/bsc/linux/packages/brscan4-0.4.4-3.i386.deb
Распознаётся www.brother.com (www.brother.com)... 2.23.167.35, 2.23.167.40
Подключение к www.brother.com (www.brother.com)|2.23.167.35|:80... соединение установлено.
HTTP-запрос отправлен. Ожидание ответа... 200 OK
Длина: 63458 (62K) [text/plain]
Сохранение в каталог: ««brscan4-0.4.4-3.i386.deb»».

brscan4-0.4.4-3.i38 100%[===================>]  61,97K  --.-KB/s    in 0,02s   

2017-11-13 14:50:59 (2,66 MB/s) - «brscan4-0.4.4-3.i386.deb» сохранён [63458/63458]

dpkg -i --force-all brscan4-0.4.4-3.i386.deb
(Чтение базы данных … на данный момент установлено 159027 файлов и каталогов.)
Подготовка к распаковке brscan4-0.4.4-3.i386.deb …
Распаковывается brscan4 (0.4.4-3) на замену (0.4.4-1) …
Настраивается пакет brscan4 (0.4.4-3) …
This software is based in part on the work of the Independent JPEG Group.
You are going to install following packages.
   brscan-skey-0.2.4-1.i386.deb
dpkg -i --force-all brscan-skey-0.2.4-1.i386.deb
(Чтение базы данных … на данный момент установлено 159029 файлов и каталогов.)
Подготовка к распаковке brscan-skey-0.2.4-1.i386.deb …
Распаковывается brscan-skey (0.2.4-1) на замену (0.2.4-1) …
Настраивается пакет brscan-skey (0.2.4-1) …
 enter IP address ->192.168.000.100           

brsaneconfig4 -a name=MFC-L2700D model=MFC-L2700D ip=192.168.000.100
Ни одной ошибки, всё устанавливается, сканер работает, двухсторонная печать работает

Cообщение объединено [time]13 Ноября 2017, 14:54:36[/time]
Сейчас дам вывод из под DEBIAN9 с ошибками
Пока не отвечайте, ибо нет полной картины
« Последнее редактирование: 13 Ноября 2017, 14:55:49 от ЦарьПушка »
 

Оффлайн ferum

Сразу говорите версию ubuntu
Русские дебианщики против цифрового слабоумия !
 

Оффлайн ЦарьПушка

даю вывод из Дебиан9
# bash linux-brprinter-installer-2.1.1-1 MFC-L2700
You are going to install following packages.
   mfcl2700dlpr-3.2.0-1.i386.deb
   mfcl2700dcupswrapper-3.2.0-1.i386.deb
   brscan4-0.4.4-3.amd64.deb
   brscan-skey-0.2.4-1.amd64.deb
OK? [y/N] ->y

Игн:1 http://deb.debian.org/debian stretch InRelease
Пол:2 http://deb.debian.org/debian stretch-updates InRelease [91,0 kB]                 
Пол:3 http://security.debian.org/debian-security stretch/updates InRelease [63,0 kB]   
Сущ:5 http://deb.debian.org/debian stretch Release                                     
Игн:4 http://cdn-fastly.deb.debian.org/debian stretch InRelease
Пол:6 http://security.debian.org/debian-security stretch/updates/main Sources [83,2 kB]
Сущ:7 http://cdn-fastly.deb.debian.org/debian stretch Release                         
Пол:8 http://security.debian.org/debian-security stretch/updates/main amd64 Packages [224 kB]
Пол:11 http://security.debian.org/debian-security stretch/updates/main i386 Packages [224 kB]
Пол:12 http://security.debian.org/debian-security stretch/updates/main Translation-en [93,3 kB]
Получено 779 kБ за 2с (279 kБ/c)                                   
Чтение списков пакетов… Готово
W: Цель Packages (main/binary-amd64/Packages) настроена несколько раз в /etc/apt/sources.list:7 и /etc/apt/sources.list.d/base.list:1
W: Цель Packages (main/binary-i386/Packages) настроена несколько раз в /etc/apt/sources.list:7 и /etc/apt/sources.list.d/base.list:1
W: Цель Packages (main/binary-all/Packages) настроена несколько раз в /etc/apt/sources.list:7 и /etc/apt/sources.list.d/base.list:1
W: Цель Translations (main/i18n/Translation-ru_RU) настроена несколько раз в /etc/apt/sources.list:7 и /etc/apt/sources.list.d/base.list:1
W: Цель Translations (main/i18n/Translation-ru) настроена несколько раз в /etc/apt/sources.list:7 и /etc/apt/sources.list.d/base.list:1
W: Цель Translations (main/i18n/Translation-en) настроена несколько раз в /etc/apt/sources.list:7 и /etc/apt/sources.list.d/base.list:1
W: Цель DEP-11 (main/dep11/Components-amd64.yml) настроена несколько раз в /etc/apt/sources.list:7 и /etc/apt/sources.list.d/base.list:1
W: Цель DEP-11 (main/dep11/Components-all.yml) настроена несколько раз в /etc/apt/sources.list:7 и /etc/apt/sources.list.d/base.list:1
W: Цель DEP-11-icons (main/dep11/icons-64x64.tar) настроена несколько раз в /etc/apt/sources.list:7 и /etc/apt/sources.list.d/base.list:1
W: Цель DEP-11-icons-hidpi (main/dep11/icons-128x128.tar) настроена несколько раз в /etc/apt/sources.list:7 и /etc/apt/sources.list.d/base.list:1
W: Цель Packages (main/binary-amd64/Packages) настроена несколько раз в /etc/apt/sources.list:7 и /etc/apt/sources.list.d/base.list:1
W: Цель Packages (main/binary-i386/Packages) настроена несколько раз в /etc/apt/sources.list:7 и /etc/apt/sources.list.d/base.list:1
W: Цель Packages (main/binary-all/Packages) настроена несколько раз в /etc/apt/sources.list:7 и /etc/apt/sources.list.d/base.list:1
W: Цель Translations (main/i18n/Translation-ru_RU) настроена несколько раз в /etc/apt/sources.list:7 и /etc/apt/sources.list.d/base.list:1
W: Цель Translations (main/i18n/Translation-ru) настроена несколько раз в /etc/apt/sources.list:7 и /etc/apt/sources.list.d/base.list:1
W: Цель Translations (main/i18n/Translation-en) настроена несколько раз в /etc/apt/sources.list:7 и /etc/apt/sources.list.d/base.list:1
W: Цель DEP-11 (main/dep11/Components-amd64.yml) настроена несколько раз в /etc/apt/sources.list:7 и /etc/apt/sources.list.d/base.list:1
W: Цель DEP-11 (main/dep11/Components-all.yml) настроена несколько раз в /etc/apt/sources.list:7 и /etc/apt/sources.list.d/base.list:1
W: Цель DEP-11-icons (main/dep11/icons-64x64.tar) настроена несколько раз в /etc/apt/sources.list:7 и /etc/apt/sources.list.d/base.list:1
W: Цель DEP-11-icons-hidpi (main/dep11/icons-128x128.tar) настроена несколько раз в /etc/apt/sources.list:7 и /etc/apt/sources.list.d/base.list:1
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Пакет ia32-libs недоступен, но упомянут в списке зависимостей другого пакета.
Это может означать, что пакет отсутствует, устарел, или доступен из источников, не упомянутых в sources.list
Однако следующие пакеты могут его заменить:
  lib32z1 lib32ncurses5

E: Для пакета «ia32-libs» не найден кандидат на установку
dpkg -x mfcl2700dlpr-3.2.0-1.i386.deb /
dpkg -x mfcl2700dcupswrapper-3.2.0-1.i386.deb /
(Чтение базы данных … на данный момент установлено 235714 файлов и каталогов.)
Удаляется mfcl2700dcupswrapper:i386 (3.2.0-1) …
Вычищаются файлы настройки пакета mfcl2700dcupswrapper:i386 (3.2.0-1) …
dpkg-deb: building package 'mfcl2700dlpr' in 'mfcl2700dlpr-3.2.0-1a.i386.deb'.
dpkg -b ./brother_driver_packdir mfcl2700dlpr-3.2.0-1a.i386.deb
dpkg-deb: building package 'mfcl2700dcupswrapper' in 'mfcl2700dcupswrapper-3.2.0-1a.i386.deb'.
dpkg -b ./brother_driver_packdir mfcl2700dcupswrapper-3.2.0-1a.i386.deb
dpkg -i --force-all mfcl2700dlpr-3.2.0-1a.i386.deb
(Чтение базы данных … на данный момент установлено 235709 файлов и каталогов.)
Подготовка к распаковке mfcl2700dlpr-3.2.0-1a.i386.deb …
Распаковывается mfcl2700dlpr:i386 (3.2.0-1) на замену (3.2.0-1) …
Настраивается пакет mfcl2700dlpr:i386 (3.2.0-1) …
dpkg -i --force-all mfcl2700dcupswrapper-3.2.0-1a.i386.deb
Выбор ранее не выбранного пакета mfcl2700dcupswrapper:i386.
(Чтение базы данных … на данный момент установлено 235709 файлов и каталогов.)
Подготовка к распаковке mfcl2700dcupswrapper-3.2.0-1a.i386.deb …
Распаковывается mfcl2700dcupswrapper:i386 (3.2.0-1) …
Настраивается пакет mfcl2700dcupswrapper:i386 (3.2.0-1) …
lpadmin -p MFCL2700D -E -v dnssd://Brother%20MFC-L2700DN%20series._ipp._tcp.local/?uuid=e3248000-80ce-11db-8000-30055c9111fc -P /usr/share/ppd/brother/brother-MFCL2700D-cups-en.ppd
#
Will you specify the Device URI? [Y/n] ->y


0: ipps
1: beh
2: http
3: https
4: serial:/dev/ttyS0?baud=115200
5: lpd
6: socket
7: ipp
8: ipp14
9: parallel:/dev/lp0
10: dnssd://Brother%20MFC-L2700DN%20series._ipp._tcp.local/?uuid=e3248000-80ce-11db-8000-30055c9111fc
11 (I): Specify IP address.
12 (A): Auto. (dnssd://Brother%20MFC-L2700DN%20series._ipp._tcp.local/?uuid=e3248000-80ce-11db-8000-30055c9111fc)

select the number of destination Device URI. ->A

lpadmin -p MFCL2700D -v dnssd://Brother%20MFC-L2700DN%20series._ipp._tcp.local/?uuid=e3248000-80ce-11db-8000-30055c9111fc -E
Test Print? [y/N] ->n

You are going to install following packages.
   brscan4-0.4.4-3.amd64.deb
dpkg -i --force-all brscan4-0.4.4-3.amd64.deb
(Чтение базы данных … на данный момент установлено 235714 файлов и каталогов.)
Подготовка к распаковке brscan4-0.4.4-3.amd64.deb …
-e ERROR: libusb-0.1 is required.
dpkg: ошибка при обработке архива brscan4-0.4.4-3.amd64.deb (--install):
 подпроцесс новый сценарий pre-installation возвратил код ошибки 2
При обработке следующих пакетов произошли ошибки:
 brscan4-0.4.4-3.amd64.deb
You are going to install following packages.
   brscan-skey-0.2.4-1.amd64.deb
dpkg -i --force-all brscan-skey-0.2.4-1.amd64.deb
(Чтение базы данных … на данный момент установлено 235714 файлов и каталогов.)
Подготовка к распаковке brscan-skey-0.2.4-1.amd64.deb …
Распаковывается brscan-skey (0.2.4-1) на замену (0.2.4-1) …
Настраивается пакет brscan-skey (0.2.4-1) …

Cообщение объединено [time]14 Ноября 2017, 09:49:50[/time]
Сразу говорите версию ubuntu
Это так важно?
Во всех версиях Убунту и Минт (а на разных компах у меня стоят разные) работает из коробки.

У меня же проблема не в Убунту, а в Дебиан 9

Cообщение объединено [time]14 Ноября 2017, 09:52:02[/time]
Вывод Убунту я дал, чтобы было видно, как должно быть для сравнения с тем, что выводит Дебиан.
Самое главное, что невозможно ввести ip АДРЕС для сканера.

Может собака зарыта здесь?
Пакет ia32-libs недоступен, но упомянут в списке зависимостей другого пакета.
Это может означать, что пакет отсутствует, устарел, или доступен из источников, не упомянутых в sources.list
Однако следующие пакеты могут его заменить:
  lib32z1 lib32ncurses5

E: Для пакета «ia32-libs» не найден кандидат на установку
dpkg -x mfcl2700dlpr-3.2.0-1.i386.deb /
dpkg -x mfcl2700dcupswrapper-3.2.0-1.i386.deb /

Cообщение объединено [time]14 Ноября 2017, 09:53:59[/time]
или здесь:
-e ERROR: libusb-0.1 is required.
dpkg: ошибка при обработке архива brscan4-0.4.4-3.amd64.deb (--install):
 подпроцесс новый сценарий pre-installation возвратил код ошибки 2
При обработке следующих пакетов произошли ошибки:
 brscan4-0.4.4-3.amd64.deb

Cообщение объединено 14 Ноября 2017, 09:58:27
Первая ошибка влияет на печать, вторая на сканер.
« Последнее редактирование: 14 Ноября 2017, 09:58:27 от ЦарьПушка »
 

Оффлайн ecc83

ЦарьПушка, проблемы две, бардак в /etc/apt/sources.list и установка пакета без соблюдения зависимостей.
Я так понимаю ты пытаешься убунтовский пакет скормить в Debian?
Ты про зависимости пакетов когда нибудь слышал?

Покажи вывод:

cat /etc/apt/sources.list
 

Оффлайн ferum

Пакета ia32-libs действительно нет в stretch но это половина беды так как это всего лишь метапакет подтягтвающий в систему основные 32 битные библиотеки.
Те же действия производятся в stretch комбинацией команд.
sudo dpkg  --add-architecture i386
sudo apt-get update
sudo apt-get install libc6:i386
По крайней мере это надо было сделать до выполнения скрипта. Но ещё раньше необходимо привести sources.list к нормальному состоянию без повторов и ошибок.
Далее смотрим вывод: у вас не установился пакет brscan4-0.4.4-3.amd64.deb по той простой причине что у него в зависимостях libusb-0.1. В debian 9 этот пакет называется иначе https://packages.debian.org/ru/stretch/libusb-0.1-4 и это очень плохо так как
вообще то пакет был в обработке но остался не настроенным и база apt  у вас заблокирована и вы не можете больше ни чего удалять или устанавливать пока не исправите этот пакет с ошибками проще всего его удалить но сами понимаете ваш принтер работать не будет , по крайней мере полностью.
Ещё один момент ваш принтер работает с capt драйвером. У меня в хозяйстве есть подобная бяка от canon и я сталкивался с таким моментом
9: parallel:/dev/lp0 так будет в ubuntu а в debian необязательно может быть  parallel:/dev/lp1 или  parallel:/dev/lp2 на разных машинах система видит этот порт по разному. проверяется командой
sudo  ls /dev/usb при подключенном устройстве.
Третий момент, я не из праздного любопытства спросил о версии ubuntu, речь идёт о системе инициализации применяемой в дистрибутиве. Systemd который у нас применяется уже с debian 8 jessie в ubuntu появился только в релизе 16.04 до этого был upstart. То есть надо будет ещё проверить а будет ли запускаться демон для устройства или же надо будет дописать юнит для systemd.
Это причины.... а что же делать. Можно ждать доброго дядю который всё исправит но лучше открыть скрипт текстовым редактором и выполнить его команды самостоятельно, местами сделав необходимые коррективы.
Так например пакет brscan4-0.4.4-3.amd64.deb надо скачать вручную, разобрать исправить зависимость в control, заново упаковать и после этого уже ставить через dpkg.
В общем то по большому счёту проблема не стоит выеденного яйца если принтер работает в ubuntu я бы заставил его работать и в debian ну может часик пришлось покопаться.
На будущее не советую запускать в системе скрипты если вы не понимаете что они делают наче может случиться что систему будет проще переустановить.
Русские дебианщики против цифрового слабоумия !
 

Оффлайн ЦарьПушка



Я так понимаю ты пытаешься убунтовский пакет скормить в Debian?

Нет, я устанавливаю пакет с официального сайта браузера для всех операционных систем .deb

На сайте браузера только такой выбор:


Цитировать
ШАГ 1. Выберите семейство операционной системы

    Windows
    Mac
    Linux
    Мобильная

ШАГ 2. Выберите версию операционной системы

    Linux (rpm)
    Linux (Raspbian)
    Linux (deb)
    Linux (Raspbian lite)

Так что это не пакет Убунту

Cообщение объединено [time]14 Ноября 2017, 12:41:54[/time]
Пакета ia32-libs действительно нет в stretch но это половина беды так как это всего лишь метапакет подтягтвающий в систему основные 32 битные библиотеки.
Те же действия производятся в stretch комбинацией команд.
sudo dpkg  --add-architecture i386
sudo apt-get update
sudo apt-get install libc6:i386
По крайней мере это надо было сделать до выполнения скрипта. Но ещё раньше необходимо привести sources.list к нормальному состоянию без повторов и ошибок.
Первые два пункта выполнены сразу после первого выполнения скрипта.
Первый вывод скрипта я уж не выкладывал. Там ругалось, что нет архитектуры 32, и я устанвоил.
Вот  libc6:i386 я не устанавливал.
Спасибо за совет.

Cообщение объединено [time]14 Ноября 2017, 12:44:23[/time]
Ещё один момент ваш принтер работает с capt драйвером. У меня в хозяйстве есть подобная бяка от canon и я сталкивался с таким моментом
9: parallel:/dev/lp0 так будет в ubuntu а в debian необязательно может быть  parallel:/dev/lp1 или  parallel:/dev/lp2 на разных машинах система видит этот порт по разному. проверяется командой
Код: [Выделить]

sudo  ls /dev/usb

при подключенном устройстве.
У меня по сетке.
lpadmin -p MFCL2700D -v dnssd://Brother%20MFC-L2700DN%20series._ipp._tcp.local/?uuid=e3248000-80ce-11db-8000-30055c9111fc -EКстати, принтер работать стал и с двухсторонкой.

Cообщение объединено [time]14 Ноября 2017, 12:47:30[/time]

Третий момент, я не из праздного любопытства спросил о версии ubuntu, речь идёт о системе инициализации применяемой в дистрибутиве. Systemd который у нас применяется уже с debian 8 jessie в ubuntu появился только в релизе 16.04 до этого был upstart. То есть надо будет ещё проверить а будет ли запускаться демон для устройства или же надо будет дописать юнит для systemd.
Все теперь понял причину вопроса
Скрипт работал на
-Ubuntu 12.04
-Ubuntu 14.04
-LinuxMint 13
-Xubuntu 16.04
В этой теме я привел пример работы скрипты под Xubuntu 16.04

Cообщение объединено [time]14 Ноября 2017, 12:51:31[/time]

На будущее не советую запускать в системе скрипты если вы не понимаете что они делают наче может случиться что систему будет проще переустановить.
Просто установка пакета сканера без скрипта приводила к тому, что настаривался USB сканер, а у меня МФУ подключен к роутеру.
Опять же если устанавливать принтер через средство управления принтерами или CUPS, он не работает в Либре Офис.

Скрипт проверенный, год им пользуюсь

Cообщение объединено 14 Ноября 2017, 12:57:37

В общем то по большому счёту проблема не стоит выеденного яйца если принтер работает в ubuntu я бы заставил его работать и в debian ну может часик пришлось покопаться.
Принтер работает. Сканер не работает.
« Последнее редактирование: 14 Ноября 2017, 12:57:37 от ЦарьПушка »
 

Оффлайн ferum

у вас не установился пакет brscan4-0.4.4-3.amd64.deb по той простой причине что у него в зависимостях libusb-0.1. В debian 9 этот пакет называется иначе https://packages.debian.org/ru/stretch/libusb-0.1-4 и
Именно по этому, проблему надо решать.
Русские дебианщики против цифрового слабоумия !
 

Оффлайн ЦарьПушка

ЦарьПушка, проблемы две, бардак в /etc/apt/sources.list и установка пакета без соблюдения зависимостей.
Я так понимаю ты пытаешься убунтовский пакет скормить в Debian?
Ты про зависимости пакетов когда нибудь слышал?

Покажи вывод:

cat /etc/apt/sources.list

# cat /etc/apt/sources.list
#

# deb cdrom:[Official Debian GNU/Linux Live 9.2.0 kde 2017-10-07T13:21]/ stretch main

#deb cdrom:[Official Debian GNU/Linux Live 9.2.0 kde 2017-10-07T13:21]/ stretch main

deb http://deb.debian.org/debian/ stretch main
deb-src http://deb.debian.org/debian/ stretch main

deb http://security.debian.org/debian-security stretch/updates main
deb-src http://security.debian.org/debian-security stretch/updates main

# stretch-updates, previously known as 'volatile'
deb http://deb.debian.org/debian/ stretch-updates main
deb-src http://deb.debian.org/debian/ stretch-updates main

# Debian 9 "Stretch"
deb http://httpredir.debian.org/debian/ stretch main contrib non-free

# multimedia
deb http://www.deb-multimedia.org stretch main non-free

два последних репозитария добавлял сам - один для вай-фай, другой - для акробат ридера.
Кстати, акробат тоже не пошёл устанвливаться, тему не успел открыть.
 

Оффлайн ferum

Вместо предпоследней строчки надо было просто добавить в первую рабочую contrib non-free
Русские дебианщики против цифрового слабоумия !
 

Оффлайн ЦарьПушка

Вместо предпоследней строчки надо было просто добавить в первую рабочую contrib non-free
А что с последней?
deb http://www.deb-multimedia.org stretch main non-freeЯ добавил его по ману для установку Acrobat Reader, но Акробат не встал
 

Оффлайн ferum

А что с последней?
По большому счёту нормально но стоит помнить что это то же сторонний репозиторий. Он расширяет возможности debian но в редких случаях может локально ломать зависимости.
Русские дебианщики против цифрового слабоумия !
 

Оффлайн ecc83

Я добавил его по ману для установку Acrobat Reader

Всё дело в том, что ман "не видит" содержание твоего /etc/apt/sources.list
Там описаны общие случаи. Конкретно у тебя похоже получилось дублирование одинаковой репы с разных зеркал.


Цитировать
но Акробат не встал

Так и валяется?  ;D

Установи себе qpdfview, в большинстве случаев этого достаточно.

 

Оффлайн ЦарьПушка



Цитировать
но Акробат не встал

Так и валяется?  ;D

Установи себе qpdfview, в большинстве случаев этого достаточно.
[/quote]
У меня не большинство случаев, а заполнение формуляра

Cообщение объединено 16 Ноября 2017, 19:13:20
Я добавил его по ману для установку Acrobat Reader

Всё дело в том, что ман "не видит" содержание твоего /etc/apt/sources.list
Там описаны общие случаи. Конкретно у тебя похоже получилось дублирование одинаковой репы с разных зеркал.


То есть лучше в первую рабочую contrib non-free, как советуют ферум и убрать последние два?
 

Оффлайн ecc83

То есть лучше в первую рабочую contrib non-free, как советуют ферум и убрать последние два?

В соседней теме я дал тебе правильное содержание sources.list
Больше мне добавить нечего.
 

Оффлайн ЦарьПушка

То есть лучше в первую рабочую contrib non-free, как советуют ферум и убрать последние два?

В соседней теме я дал тебе правильное содержание sources.list
Больше мне добавить нечего.
спасибо!
Просто здесь я спросил раньше, чем там появился ответ!
Завтра будем пробовать)
 

Теги:
     

    [РЕШЕНО]Не получается запустить принтер Brother-HL-2130

    Автор aba

    Ответов: 5
    Просмотров: 3653
    Последний ответ 21 Августа 2015, 15:13:58
    от ferum
    [Решено] Принтер Brother HL-2275DW не печатает

    Автор vicmic

    Ответов: 9
    Просмотров: 3207
    Последний ответ 20 Февраля 2016, 07:07:53
    от vicmic
    Brother DCP-7057r и его утилита "brscan-skey"

    Автор bevlam

    Ответов: 0
    Просмотров: 1975
    Последний ответ 21 Июля 2016, 11:19:20
    от bevlam